import request from '@/utils/request'

export function getQualificationList(query) {
  return request({
    url: '/ability/qualification/',
    method: 'get',
    params: query
  })
}
export function getQualificationGroup(query) {
  return request({
    url: '/ability/qualification/group/',
    method: 'get',
    params: query
  })
}

export function getCNASList(query) {
  return request({
    url: '/ability/cnas/',
    method: 'get',
    params: query
  })
}

export function createQualification(data) {
  return request({
    url: '/ability/qualification/',
    method: 'post',
    data
  })
}
export function updateQualification(id, data) {
  return request({
    url: `/ability/qualification/${id}/`,
    method: 'put',
    data
  })
}
export function deleteQualification(id) {
  return request({
    url: `/ability/qualification/${id}/`,
    method: 'delete'
  })
}

export function importQualification(data) {
  return request({
    url: `/ability/qualification/import/`,
    method: 'post',
    data
  })
}
export function getQualificationotherList(query) {
  return request({
    url: '/ability/qualificationother/',
    method: 'get',
    params: query
  })
}
export function getQualificationGroup1(query) {
  return request({
    url: '/ability/qualificationother/group/',
    method: 'get',
    params: query
  })
}
export function deletes(data)
{
  return request({
    url: `/ability/qualificationother/deletes/`,
    method: 'post',
    data
  })
}
